body {
    font-family: Arial, sans-serif;
    height: 100%;
    display: flex;
    flex-direction: column;
}

#partitions {}

.partition {
    position: relative;
    margin-top: .2em;
    border: 2px solid var(--theme-foreground-hard);
    padding: 1em;
    border-radius: .3em;
    border-bottom-left-radius: 0em;
    /* cursor: move; */
    background-color: var(--theme-background-light);
    transition: height .5s ease-in-out, opacity .5s ease-in-out, margin .5s ease-in-out, padding .5s ease-in-out;
}

.partition_top_div {
    position: relative;
    margin-bottom: 1em;
}

.partition_title_div {
    width: 48%;
    display: inline-block;
    margin-left: 1em;
}

.partition_title {
    width: 90%;
    padding: .3em;
    margin-bottom: 10px;
    border: 1px solid var(--theme-foreground);
    border-radius: .3em;
    font-size: 110%;
    display: block;
    background-color: var(--theme-background-light);
}

@media screen and (max-width: 768px) {
    .partition_title_div {
        width: 90%;
    }
}

@media screen and (max-width: 360px) {
    .partition_title_div {
        width: 90%;
    }
}



.partition_options_div {
    display: inline-block;
    width: auto;
    vertical-align: top;
}

.shuffle_partition_questions_div {
    display: block;
}

.shuffle_partition_questions {}

.shuffle_partition_answers_div {
    display: block;
}

.shuffle_partition_answers {}

.collapse_button {
    position: absolute;
    left: -1px;
    top: -1px;
    font-size: 100%;
    font-weight: bold;
    border: none;
    background-color: transparent;
}

.add_question_start_of_partition {
    border-radius: .3em;
    border-width: .1em;
    padding: .5em .5em;
    border-top-right-radius: 0em;
    border-bottom-right-radius: 0em;
}

.dropdown_add_question_start_of_partition {
    border-radius: .3em;
    border-width: .1em;
    margin-left: 0em;
    padding: .4em .2em;
    border-top-left-radius: 0em;
    border-bottom-left-radius: 0em;
    background-color: #eee;
}


.add_question_after_question {
    border-radius: .3em;
    border-width: .1em;
    padding: .5em .5em;
    border-top-right-radius: 0em;
    border-bottom-right-radius: 0em;
}

.dropdown_add_question_after_question {
    border-radius: .3em;
    border-width: .1em;
    margin-left: 0em;
    padding: .4em .2em;
    border-top-left-radius: 0em;
    border-bottom-left-radius: 0em;
    background-color: #eee;
}

.delete_partition,
.delete_question {
    position: absolute;
    top: 0em;
    right: 0em;
    background-color: rgb(255, 94, 94);
    color: white;
    border: none;
    border-radius: .2em;
    cursor: pointer;
    padding: 2px 5px;
    margin: 0;
    font-weight: bold;
    border-top-left-radius: 0em;
    border-bottom-right-radius: 0em;
    border-bottom-left-radius: .5em;
}

#delete-exam,
#delete_students_credentials_button {
    background-color: rgb(255, 94, 94);
    color: white;
    border-radius: .3em;
    cursor: pointer;
    padding: .5em 1em;
    margin: 0;
    font-weight: bold;
}

.delete_partition:hover,
.delete_question:hover,
#delete-exam:hover,
#delete_students_credentials_button:hover {
    color: rgb(255, 94, 94);
    background-color: white;
}

.questions_div {
    padding: 1em;
    padding-top: 0em;
    padding-bottom: 0em;
}

.questionDiv {
    margin-top: 2em;
    margin-bottom: 5.2em;
    padding: 1em;
    padding-bottom: 1em;
    border: 1px solid var(--theme-foreground-hard);
    border-radius: 5px;
    position: relative;
    background-color: white;
    transition: height .5s ease-in-out, opacity .5s ease-in-out, margin .5s ease-in-out, padding .5s ease-in-out;
    overflow: visible;
}

.moving-up {
    transition: transform 1s ease-in-out;
    transform: translateY(var(--move-distance, -100%));
}

.moving-down {
    transition: transform 1s ease-in-out;
    transform: translateY(var(--move-distance, 100%));
}

/* .moving-above {
    transition: transform 1s ease-in-out;
    transform: translateY(-137%);
}

.moving-below {
    transition: transform 1s ease-in-out;
    transform: translateY(137%);
} */

.dragging-question {
    opacity: 0.5;
    /* background-color: green; */
}


.dragging-partition {
    opacity: 0.5;
}

/* Container for the image and cancel button */

.upload_question_head_image_cancel_button {
    position: absolute;
    top: 1em;
    right: 0;
    background-color: rgba(255, 61, 61, 0.651);
    /* Optional: Add background for better visibility */
    border-radius: 25%;
    /* Optional: Make it circular */
    border: none;
    display: flex;
    color: #ffffff;
    align-items: center;
    justify-content: center;
    font-size: 100%;
    cursor: pointer;
    padding: 0 .3em;
}

/* Cancel button positioned on the top-right corner of the image */
.option_image_imgPreview_cancel_button {
    position: absolute;
    top: 0em;
    right: 0;
    background-color: rgba(255, 61, 61, 0.651);
    /* Optional: Add background for better visibility */
    border-radius: 25%;
    /* Optional: Make it circular */
    border: none;
    display: flex;
    color: #ffffff;
    align-items: center;
    justify-content: center;
    font-size: 100%;
    cursor: pointer;
    padding: 0 .3em;
    /* Ensure the button is above the image */
}

.cancel_question_image_Button {
    position: absolute;
    top: 0em;
    right: 0;
    background-color: rgba(255, 61, 61, 0.651);
    /* Optional: Add background for better visibility */
    border-radius: 25%;
    /* Optional: Make it circular */
    border: none;
    display: flex;
    color: #ffffff;
    align-items: center;
    justify-content: center;
    font-size: 100%;
    cursor: pointer;
    padding: 0 .3em;
    /* Ensure the button is above the image */
}

.cancel_question_image_Button:hover,
.option_image_imgPreview_cancel_button:hover,
.upload_question_head_image_cancel_button:hover {
    background-color: rgb(255, 61, 61);
}

.question-head {
    margin-bottom: .5em;
    text-align: left;
}

.questionInput {
    font-size: 110%;
    height: auto;
    width: 90%;

    background-color: #ffffff00;
    color: var(--theme-foreground-hard);
    border: 1px dashed gray;
    border-radius: .3em;
    box-sizing: border-box;
    display: flex;
    overflow: hidden;
    min-height: 100%;
}


.question_head_image_imgPreview {
    width: 40%;
    border-radius: .3em;
    display: none;
    object-fit: cover;
    max-width: 100%;
    padding-right: 3em;
}




.options_div {
    width: 70%;
    min-width: min(500px, 100%);
    display: inline-block;
    text-align: center;
}

.truefalse_div {
    width: 70%;
    min-width: min(500px, 100%);
    display: inline-block;
    text-align: center;
    padding: 1em;
}


.optionDiv {
    margin: 1em;
}

.option_subdiv {
    display: flex;
    align-items: center;
}

.option_checkbox {
    display: table-cell;
    vertical-align: middle;
}

.optionInput {
    /* width: 95%; */
    field-sizing: content;
    min-width: 100px;
    font-size: inherit;
    border: 1px dashed gray;
    border-radius: .3em;
    background-color: rgba(0, 0, 0, 0);
    box-sizing: border-box;
    display: flex;
    overflow: hidden;
    min-height: 100%;
    color: black;
}

.option_image_imgPreview {
    height: 6em;
    max-width: 100%;
    border-radius: .3em;
    display: none;
    object-fit: cover;
    padding-right: 3em;
}

.true_div,
.false_div {
    width: 98%;
    text-align: left;
    margin-top: 1em;
    margin-bottom: 1em;
}

.trueRadio,
.falseRadio {
    vertical-align: middle;
    margin-right: .5em;
}

.trueLabel {
    max-width: 100%;
}

.falseLabel {
    max-width: 100%;
}

.question_image_div {
    /* Ensure the container wraps around the image */
    text-align: center;
}


.image-container {
    position: relative;
    display: inline-block;
    /* Ensure the container wraps around the image */
}


.question_head_image_container {
    position: relative;
    display: inline-block;
    max-width: 100%;
}

.question_head_image_imgPreview {
    width: 100%;
}

.question_image_div_sup {
    position: relative;
    display: inline-block;
    vertical-align: top;
    width: 25%;
    min-width: 200px;
}

.question_image_div {
    width: 100%;
    margin: auto;
    display: inline-block;

}

.question_image_div img {
    width: 100%;
    border-radius: .3em;
}

.question_image_button {
    opacity: .3;
    border: 2px dashed gray;
    border-radius: 2em;
    width: 10em;
}

.question_image_imgPreview_slider {}

.question_image_imgPreview {
    /* height: 6em; */
}

.increaseButton,
.decreaseButton {
    position: absolute;
    bottom: 0;
}

.increaseButton {
    right: 1em;
}

.decreaseButton {
    right: 5em;
}

.move_question_above,
.move_question_below {
    position: absolute;
    margin: 0em;
    height: 2em;
}

.move_question_above {
    right: min(30%, 12em);
    top: -2em;
}

.move_question_below {
    right: min(10%, 11.5em);
    top: 100%;
}


.add_and_dropdown_div {
    position: absolute;
    bottom: -3.6em;
    left: 0;
}


/* transations */
.fade-out {
    opacity: 0;
    transition: opacity 0.5s ease;
}

.fade-in {
    opacity: 1;
    transition: opacity 0.5s ease;
}

.hidden {
    display: none;
}

.disappeared {
    opacity: 0;
}

.optionDiv.selected {
    border: 2px solid blue;
    /* Example style */
    background-color: #f0f8ff;
    /* Example style */
}

.checked_option_div {
    background-color: rgb(176, 217, 255);
    font-size: inherit;
}

.numbering {
    position: absolute;
    width: 2.5em;
    text-align: center;
    top: 2em;
    left: -2.5em;
    font-size: 80%;
}

#students_div {
    line-height: 2em;
}

.students_table {
    text-align: center;
    background-color: #eee;
    padding: .2em;
    border: 2px solid black;
    border-radius: .5em;
    border-collapse: collapse;
}

.students_table td {
    padding: 0 .5em;
    margin: 0;
}

#add-partition {
    padding: .5em 1em;
    border: 1px solid black;
    border-radius: .3em;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}